net.corda.core.serialization

## Interface SerializeAsToken

- All Known Implementing Classes:
    AbstractNetworkMapService, AbstractNode, AbstractNodeService, ArtemisMessagingComponent, ArtemisMessagingServer, BFTValidatingNotaryService, CordaRPCClient, E2ETestKeyManagementService, FlowLogicRefFactory, InMemoryIdentityService, InMemoryNetworkMapCache, InMemoryNetworkMapService, MonitoringService, Node, NodeClock, NodeMessagingClient, NodeSchedulerService, NodeSchemaService, NodeVaultService, NotaryService, PersistentKeyManagementService, PersistentNetworkMapService, PersistentUniquenessProvider, RaftUniquenessProvider, RaftValidatingNotaryService, NotaryChange.Service, DataVending.Service, SimpleNotaryService, SingletonSerializeAsToken, StorageServiceImpl, TestClock, ValidatingNotaryService

      public SerializeAsToken

  This interface should be implemented by classes that want to substitute a token representation of themselves if they are serialized because they have a lot of internal state that does not serialize (well).

  This models a similar pattern to the readReplace/writeReplace methods in Java serialization.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `SerializationToken` | `toToken(SerializeAsTokenContext context)`

- - ### Method Detail

    - #### toToken

          SerializationToken toToken(SerializeAsTokenContext context)